Name:		sparse
Version:	0.4.1
Release:	%mkrel 3
Summary:	A semantic parser of source files
License:	Open Software License v1.1
Group:		Development/C
URL:		http://www.kernel.org/pub/software/devel/sparse/
Source0:	http://kernel.org/pub/software/devel/sparse/dist/%name-%version.tar.gz
Buildroot:	%_tmppath/%name-%version-root

%description
Sparse, the semantic parser, provides a compiler frontend capable of parsing
most of ANSI C as well as many GCC extensions, and a collection of sample
compiler backends, including a static analyzer also called "sparse".

Sparse provides a set of annotations designed to convey semantic information
about types, such as what address space pointers point to, or what locks a
function acquires or releases.

%prep
%setup -q

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{,/usr}/bin

%makeinstall_std PREFIX=%_prefix LIBDIR=%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ LICENSE README
%_bindir/*
%_includedir/*
%_libdir/libsparse.a
%_libdir/pkgconfig/sparse.pc
%_mandir/man1/*




%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-3mdv2010.0
+ Revision: 434016
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-2mdv2009.0
+ Revision: 269344
- rebuild early 2009.0 package (before pixel changes)

* Fri May 30 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.1-1mdv2009.0
+ Revision: 213524
- Updated to version 0.4.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2008.1
+ Revision: 96808
- adjust file list for new man pages
- new release

* Tue Sep 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2008.0
+ Revision: 84340
- fix license

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.3-1mdv2008.0
+ Revision: 20937
- 0.3
- Update URL ans Source
- Complete the description
- pkgconfig file is now correctly placed

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.2-2mdv2008.0
+ Revision: 16540
- Fix build on x86_64

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release


* Fri Nov 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1mdv2007.0
+ Revision: 85224
- Import sparse

* Fri Nov 17 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-1mdv2007.1
- initial release

